Subject: Re: bug#57079: 29.0.50; Performance of seq-uniq is not very good

From: Michael Heerdegen <[email-masked]>
Date: Sat, 13 Aug 2022 01:59:11 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> > delete-dups is faster because its implementation uses the hash table.
>
> Good point.  I've now made seq-uniq do the same, and this makes the test
> case go from 1.7s to 0.07s.

Good.

I think a large amount of non-standard test functions is of the form

  (lambda (x y) (TEST (F x) (F y)))

where TEST is a standard test function (equal or eq) and F some function
that CL calls key function.

This case can still be supported using hash tables.  So I think it could
make sense to add support for an additional optional KEY argument.

Michael.